
function itemOf(tag) {
    var stacks = toStacks(tag);
    if(stacks.length>0){
        stacks.sort((a,b) => compareMod(a.mod,b.mod));
        return stacks[0].id;
    }else{
        return null;
    }
}

function compareMod(a,b){
    if(a==b) return 0;
    for(let mod of modIds){
        if(a == mod) return -1;
        if(b == mod) return 1;
    }
    console.error(a+' '+b);
    return 0;
}

function toStacks(tag) {
    return utils.listOf(Ingredient.of(tag).stacks).toArray();
}